package com.bc_chat.bc_base.task

import com.bc_chat.bc_base.entity.NavEntity
import com.bc_chat.bc_base.http.Encryption
import com.bc_chat.bc_base.http.RetrofitHelper
import com.zhaohaoting.framework.abs.entity.ResultEntity
import com.zhaohaoting.framework.abs.task.RxDataAsyncTask
import io.reactivex.Flowable

/**
 * author：Created by zhaohaoting on 2019/9/6
 * email：526309416@qq.com
 * desc：
 */
class NavTask() : RxDataAsyncTask<List<NavEntity>, ResultEntity<List<NavEntity>>>() {
    override fun loadDataAsyncTask(): Flowable<ResultEntity<List<NavEntity>>>? {
        val params: MutableMap<String, Any?> = mutableMapOf()
        return RetrofitHelper.api.getNavData(Encryption.encryption(params))
    }
}
